.gform_heading {
	margin-bottom: 1em;
}

.gfield {
	margin-top: 1em;

	& [type='checkbox'],
	& [type='radio'] {
		height: 15px;
		width: 15px;
	}

	& [type='number'],
	& [type='text'],
	& [type='tel'],
	& [type='email'] {
		@mixin input-field;
	}

	& textarea {
		@mixin input-field;

		min-height: 100px;
	}

	& select {
		@mixin input-field;
	}

	& [multiple='multiple'] {
		height: 120px;
	}

	& .clear-multi {
		display: flex;
		flex-wrap: wrap;
	}

	& .gfield_time_ampm,
	& .gfield_time_hour,
	& .gfield_time_minute {
		display: flex;
		align-items: center;
		flex: 1 1 0;
		padding-right: 5px;

		& i {
			display: none;
		}

		& input {
			width: 40px;
			height: auto;
		}

		& label {
			display: inline-block;
			margin-left: 5px;
		}
	}
}

table.gfield_list {
	@mixin table-border;
}

.gform_wrapper {
	& .gform_footer,
	& .gform_page_footer {
		margin-top: 1em;
	}

	& input[type='button'] {
		@mixin button-default;
		@mixin button-normal;
		@mixin button-style-primary;

		width: auto;
	}

	& .validation_message {
		margin-top: 0.25em;
		color: var(--red);
		font-size: 0.9125rem;
	}

	& .gfield_label {
		display: block;
		margin-bottom: 0.25em;
		font-weight: var(--font-bold);
	}
}

.hidden_label {
	& .gfield_label {
		display: none;
	}
}

.widget_gform_widget,
.widget.widget_text {
	& .gform_footer {
		& .gform_button {
			width: 100%;
		}
	}
}

.gform_wrapper,
.widget.gform_widget {
	& .gform_fields {
		@mixin list-reset;
	}
}

.entry-content,
.wysiwyg,
.widget.gform_widget,
.widget.widget_text {
	& .validation_error {
		display: none;
	}

	& form:not(.gform_dark) {
		& .gfield_radio {
			& input[type='radio'] {
				@mixin custom-radio var(--primary), var(--border);
			}
		}

		& .gfield_checkbox {
			& input[type='checkbox'] {
				@mixin custom-checkbox var(--primary), var(--border);
			}
		}
	}

	& .gfield_description {
		& .validation_message {
			margin-top: 0.25em;
		}
	}

	& .gfield_checkbox,
	& .gfield_radio {
		@mixin list-reset;

		& li {
			position: relative;
			width: 100%;
			padding-left: 30px;
		}
	}

	& .ginput_complex {
		& > span {
			display: block;
			width: 100%;
			margin-top: 0.25em;

			&:first-child {
				margin-top: 0;
			}
		}

		& label {
			display: block;
			margin: 0.25em 0;
			font-weight: var(--font-bold);
			font-size: 0.9125rem;
		}
	}
}

.entry-content,
.wysiwyg {
	& .gform_wrapper {
		display: inline-flex;
		padding: 1em;
		border: 1px solid var(--border);

		@media (--sm) {
			padding: 1.5em;
		}
	}
}

.gform_dark_wrapper {
	color: var(--white);

	& .gfield_radio {
		& input[type='radio'] {
			@mixin custom-radio var(--white), var(--white);
		}
	}

	& .gfield_checkbox {
		& input[type='checkbox'] {
			@mixin custom-checkbox var(--white), var(--white);

			&:checked ~ label {
				color: var(--white);
			}
		}
	}
}

.gform_wrapper.gform_inline_wrapper {
	& .gform_fields {
		@media (--m) {
			display: flex;
			margin: 0;
		}
	}

	& .validation_error {
		@media (--m) {
			display: block;
			width: 100%;
			color: var(--red);
		}
	}

	& .validation_message {
		@media (--m) {
			display: none;
		}
	}

	& .gfield {
		@media (--m) {
			width: auto;
			flex: 1 1 0;
			margin-top: 0;
			padding: 0 10px 0 0;
		}
	}

	& .gform_inline {
		@media (--m) {
			display: flex;
			flex-wrap: wrap;
		}
	}

	& .gform_footer,
	& .gform_body {
		@media (--m) {
			width: auto;
			margin-top: 10px;
		}
	}
}
